Bug 730076 - Undefined symbol traceback during update
Summary: Undefined symbol traceback during update
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libsemanage
Version: 5.6
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Daniel Walsh
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-11 17:35 UTC by David Kovalsky
Modified: 2014-03-31 23:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-19 14:17:29 UTC


Attachments (Terms of Use)
Comment (76.99 KB, text/plain)
2011-08-11 17:35 UTC, David Kovalsky
no flags Details

Description David Kovalsky 2011-08-11 17:35:27 UTC
Created attachment 915357 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).

Comment 1 Miroslav Grepl 2011-08-23 05:33:45 UTC
If you try to reinstall policy now

# yum reinstall selinux-policy-targeted

does it work?

Comment 3 David Kovalsky 2011-08-23 18:24:14 UTC
Yes, yum reinstall passes cleanly:
[root@southpark ~]# yum reinstall selinux-policy-targeted
Loaded plugins: changelog, rhnplugin
Setting up Reinstall Process
epel                                                                      | 3.7 kB     00:00     
rhel-x86_64-server-5                                                      | 1.3 kB     00:00     
rhel-x86_64-server-5/primary                                              | 4.2 MB     00:00     
rhel-x86_64-server-5                                                                 11934/11934
rhel-x86_64-server-cluster-5                                              | 1.3 kB     00:00     
rhel-x86_64-server-cluster-storage-5                                      | 1.3 kB     00:00     
rhel-x86_64-server-fastrack-5                                             | 1.1 kB     00:00     
rhel-x86_64-server-productivity-5                                         | 1.1 kB     00:00     
rhel-x86_64-server-supplementary-5                                        | 1.3 kB     00:00     
rhel-x86_64-server-vt-5                                                   | 1.3 kB     00:00     
Resolving Dependencies
--> Running transaction check
---> Package selinux-policy-targeted.noarch 0:2.4.6-316.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=================================================================================================
 Package                       Arch         Version             Repository                  Size
=================================================================================================
Reinstalling:
 selinux-policy-targeted       noarch       2.4.6-316.el5       rhel-x86_64-server-5       1.3 M

Transaction Summary
=================================================================================================
Remove        0 Package(s)
Reinstall     1 Package(s)
Downgrade     0 Package(s)

Total download size: 1.3 M
Is this ok [y/N]: y
Downloading Packages:
selinux-policy-targeted-2.4.6-316.el5.noarch.rpm                          | 1.3 MB     00:00     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : selinux-policy-targeted                                                   1/1 

Installed:
  selinux-policy-targeted.noarch 0:2.4.6-316.el5                                                 

Complete!

Comment 4 David Kovalsky 2011-08-23 18:27:57 UTC
Scratch that, wrong host. On the same host I reported this, the traceback is still there:

[root@hurt ~]# yum reinstall selinux-policy-targeted
Loaded plugins: changelog, rhnplugin
Setting up Reinstall Process
<removed-repo-list>
Resolving Dependencies
--> Running transaction check
---> Package selinux-policy-targeted.noarch 0:2.4.6-316.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=================================================================================================
 Package                       Arch         Version               Repository                Size
=================================================================================================
Reinstalling:
 selinux-policy-targeted       noarch       2.4.6-316.el5         rhel-i386-server-5       1.3 M

Transaction Summary
=================================================================================================
Remove        0 Package(s)
Reinstall     1 Package(s)
Downgrade     0 Package(s)

Total download size: 1.3 M
Is this ok [y/N]: y
Downloading Packages:
selinux-policy-targeted-2.4.6-316.el5.noarch.rpm                          | 1.3 MB     00:00     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : selinux-policy-targeted                                                   1/1 
Traceback (most recent call last):
  File "/usr/sbin/genhomedircon", line 28, in ?
    from semanage import *;
  File "/usr/lib/python2.4/site-packages/semanage.py", line 5, in ?
    import _semanage
ImportError: /lib/libsemanage.so.1: undefined symbol: sepol_set_disable_dontaudit
libsemanage.semanage_install_sandbox: genhomedircon returned error code 1.

Installed:
  selinux-policy-targeted.noarch 0:2.4.6-316.el5                                                 

Complete!

Comment 5 Daniel Walsh 2011-08-23 19:17:14 UTC
David update your libsepol

yum -y update libsepol

Comment 6 David Kovalsky 2011-08-23 20:06:50 UTC
Hey Dan, 

I had/have the latest & greatest libsepol already, from what's on RHN: libsepol-1.15.2-3.el5.i386


The machine is pretty regularly updated via full `yum update'.

Comment 7 Daniel Walsh 2011-08-24 02:50:50 UTC
This looks like a symbol was dropped from libsepol?

Comment 8 Miroslav Grepl 2011-10-24 09:17:04 UTC
It looks like a bug in the libsemanage pkg in the semanage_direct_connect().

Comment 10 RHEL Product and Program Management 2011-10-24 09:27:46 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.

Comment 11 Daniel Walsh 2011-10-24 13:15:45 UTC
I think this is a requirements problem.  libsepol should have been updated before the other packages.  I have a feeling once the full update completed the problem would go away.


Note You need to log in before you can comment on or make changes to this bug.